<div class="app-header__right">

  <div *ngIf="isAuthenticated() | async; else unauthorised">
    <app-button
      class="app-header__right__login-logout"
      (click)="logout()"
      [name]="'logout' | translate">
    </app-button>
    <app-button
      class="app-header__right__signIn"
      [name]="(currentUser$ | async)?.userName || ''">
    </app-button>
  </div>

  <ng-template #unauthorised>
    <app-button
      class="app-header__right__login-logout"
      (click)="login()"
      [name]="'login' | translate">
    </app-button>
    <app-button
      class="app-header__right__signIn"
      (click)="registration()"
      [name]="('signIn' | translate) || ''">
    </app-button>
  </ng-template>

</div>
